Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: LyX
Source: ftp://ftp.lyx.org/pub/lyx/stable

Files: *
Copyright: © 1995 Matthias Ettrich
           © 1995-2020 LyX Team
License: GPL-2+

Files: debian/*
Copyright: © 1996-2020 Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
License: GPL-2+

Files: 3rdparty/boost/*
Comment:
 Included with the LyX source code archive is the Boost library.
 Debian's binary packages of LyX do not use it however;
 they link with the Boost libraries shipped with Debian instead.
 For this reason we do not include a detailed list of copyright holders in
 the following line as it would be impractical to mention every individual
Copyright: 1997-2014 Boost Library contributors
License: BSL-1.0
 Boost Software License - Version 1.0 - August 17th, 2003
 .
 Permission is hereby granted, free of charge, to any person or organization
 obtaining a copy of the software and accompanying documentation covered by
 this license (the "Software") to use, reproduce, display, distribute,
 execute, and transmit the Software, and to prepare derivative works of the
 Software, and to permit third-parties to whom the Software is furnished to
 do so, all subject to the following:
 .
 The copyright notices in the Software and this entire statement, including
 the above license grant, this restriction and the following disclaimer,
 must be included in all copies of the Software, in whole or in part, and
 all derivative works of the Software, unless such copies or derivative
 works are solely in the form of machine-executable object code generated by
 a source language processor.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.

Files: 3rdparty/mythes/*
Comment: Included in the LyX source code archive is a copy of MyThes
Copyright: 2003 Kevin B. Hendricks and Contributors
License: BSD-2-Mark-Modifications
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 3. All modifications to the source code must be clearly marked as
    such.  Binary redistributions based on modified source code
    must be clearly marked as modified versions in the documentation
    and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY KEVIN B. HENDRICKS AND CONTRIBUTORS
 ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 KEVIN B. HENDRICKS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

Files: src/support/strfwd.h
Comments: Heavily inspired by /usr/include/c++/4.1/bits
Copyright: 2001-2002 Free Software Foundation, Inc.
           2007-2010 LyX Team
License: GPL-2+

Files: src/support/filetools.cpp
  src/graphics/epstools.cpp
Comments: The files also keep their original copyright before the modifications
Copyright: 1985, 1990, 1993 Free Software Foundation, Inc.
           2007-2012 LyX Team
License: GPL-2+

Files: src/support/gzstream.cpp
Copyright: 2001 Deepak Bandyopadhyay
           2001 Lutz Kettner
License: LGPL-2.1+

Files: src/support/weighted_btree.h
Copyright: 2008 Timo Bingmann
           2008 Stefan Schimanski
License: LGPL-2.1+

Files: src/frontends/qt4/GuiIdListModel.*
Comment: Some of this code is based upon qstringlistmodel.{h,cpp}, which is
 part of the Qt toolkit
Copyright: 1992-2007 Trolltech ASA
           2008-2011 LyX Team
License: GPL-2+

Files: src/frontends/qt4/CustomizedWidgets.cpp
Comment: The code for the ShortcutWidget class was adapted from
 kkeysequencewidget.cpp, which is part of the KDE libraries
Copyright: 1998 Mark Donohoe <donohoe@kde.org>
           2001 Ellis Whitehead <ellis@kde.org>
           2007 Andreas Hartmetz <ahartmetz@gmail.com>
           2007-2009 LyX Team
License: GPL-2+

Files: src/support/linkback/*
Copyright: 2004 Nisus Software, Inc.
License: BSD-3-Clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 Redistributions of source code must retain the above copyright notice,
 this list of conditions and the following disclaimer.
 .
 Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
 .
 Neither the name of the Nisus Software, Inc. nor the names of its
 contributors may be used to endorse or promote products derived from this
 software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Files: lib/fonts/*
Comment: The LyX source code archive also includes the BaKoMa fonts, which are
 shipped in the ttf-lyx binary package. The author of these fonts, Basil K.
 Malyshev, has kindly granted permission to use and modify these fonts.
Copyright: 1994-1995 Basil K. Malyshev <bakoma@mail.ru>
License: BaKoMa
 .
 BaKoMa Fonts Licence
 --------------------
 .
 This licence covers two font packs (known as BaKoMa Fonts Colelction,
 which is available at `CTAN:fonts/cm/ps-type1/bakoma/'):
 .
   1) BaKoMa-CM (1.1/12-Nov-94)
      Computer Modern Fonts in PostScript Type 1 and TrueType font formats.
 .
   2) BaKoMa-AMS (1.2/19-Jan-95)
      AMS TeX fonts in PostScript Type 1 and TrueType font formats.
 .
 Copyright (C) 1994, 1995, Basil K. Malyshev. All Rights Reserved.
 .
 Permission to copy and distribute these fonts for any purpose is
 hereby granted without fee, provided that the above copyright notice,
 author statement and this permission notice appear in all copies of
 these fonts and related documentation.
 .
 Permission to modify and distribute modified fonts for any purpose is
 hereby granted without fee, provided that the copyright notice,
 author statement, this permission notice and location of original
 fonts (http://www.ctan.org/tex-archive/fonts/cm/ps-type1/bakoma)
 appear in all copies of modified fonts and related documentation.
 .
 Permission to use these fonts (embedding into PostScript, PDF, SVG
 and printing by using any software) is hereby granted without fee.
 It is not required to provide any notices about using these fonts.
 .
 Basil K. Malyshev
 INSTITUTE FOR HIGH ENERGY PHYSICS
 IHEP, OMVT
 Moscow Region
 142281 PROTVINO
 RUSSIA
 .
 E-Mail: bakoma@mail.ru
     or malyshev@mail.ihep.ru

Files: lib/fonts/esint10.ttf
Comment: This font bundle also contains the esint font 'esint10.ttf' from the
 esint package.
Copyright: 2005 Eddie Saudrais
           2005 Martti Nikunen <martti.nikunen@helsinki.fi>
License: public-domain
 It was converted from the type1 version available at
 http://www.ctan.org/tex-archive/fonts/ps-type1/esint/.
 This PostScript Type 1 implementation of the font esint10, originally
 created by Eddie Saudrais using METAFONT, is freely available for general use.
 .
 The conversion was done with the free mftrace program
 ( http://lilypond.org/mftrace/ ).

Files: lib/fonts/rsfs10.ttf
Comment: This font bundle also contains the rsfs font 'rsfs10.ttf' from
 the rsfs package.
Copyright: 1991 Ralph Smith <rasmith@ucsd.edu>
           1998 Taco Hoekwater <taco.hoekwater@wkap.nl>
License: public-domain
 The license for the original rsfs10.mf file can be found in
 http://www.ctan.org/tex-archive/fonts/rsfs/README :
 .
 You are welcome to use and distribute these files; if you modify them,
 please change the name but give credit to the original author!
 ----------------------------------------------------------------------
 The license for the intermediate rsfs10.pfb file can be found in
 http://www.ctan.org/tex-archive/fonts/rsfs/type1/README :
 .
 Files are herewith donated to the public domain, and
 provided as is. Note that I feel that the copyright
 from the metafont sources still applies, my only statement
 here is that I do not impose extra restrictions.
 .
 Conversion process:
 .mf   -> metapost (c) Hobby -> .eps
 .eps  -> metafog  (c) Kinch -> .pfb
 .pfb  -> hinted & touched up with FontLab v3.0c

Files: lib/fonts/stmary10.*
       lib/fonts/test/stmary10.lyx
Comment: This font bundle also contains the stmary font 'stmary10.ttf' from
 the stmaryrd package.
Copyright: 1994 Alan Jeffrey
           1994 Jeremy Gibbons
           1998 Taco Hoekwater <taco.hoekwater@wkap.nl>
License: public-domain
 The license for the original stmary10.mf file can be found in
 http://www.ctan.org/tex-archive/fonts/stmaryrd/README :
 .
 THE ST MARY'S ROAD SYMBOL FONT
 .
 6 APRIL 1994
 .
 This directory contains the St Mary's Road symbol font.  This font
 contains a number of mathematical symbols which we (and others!) have
 found useful.
 .
 Read the INSTALL file for details of how to install the St Mary's Road
 package.
 ----------------------------------------------------------------------
 The license for the intermediate stmary10.pfb and stmary10.sfd files can be
 found in
 http://www.ctan.org/tex-archive/fonts/stmaryrd/ps-type1/hoekwater/README :
 .
 Files are herewith donated to the public domain, and
 provided as is. Note that I feel that the copyright
 from the metafont sources still applies, my only statement
 here is that I do not impose extra restrictions.
 .
 Conversion process:
 .mf   -> metapost (c) Hobby -> .eps
 .eps  -> metafog  (c) Kinch -> .pfb
 .pfb  -> hinted & touched up with FontLab v3.0c

Files: lib/fonts/wasy10.ttf
Comment: This font bundle also contains the wasy font 'wasy10.ttf' from the
 latex-xft font bundle.
Copyright: 1990 Roland Waldi
           1998 Taco Hoekwater <taco.hoekwater@wkap.nl>
License: public-domain
 The license for the original wasy10.mf file can be found in
 http://www.ctan.org/tex-archive/fonts/wasy2/legal.txt :
 .
 The files of this package "wasy2" are hereby released into the public
 domain. So, permission is granted to use and/or distribute these files.
 ----------------------------------------------------------------------
 The license for the intermediate wasy10.pfb file can be found in
 http://www.ctan.org/tex-archive/fonts/wasy2/ps-type1/hoekwater/README :
 .
 Files are herewith donated to the public domain, and
 provided as is. Note that I feel that the copyright
 from the metafont sources still applies, my only statement
 here is that I do not impose extra restrictions.
 .
 Conversion process:
 .mf   -> metapost (c) Hobby -> .eps
 .eps  -> metafog  (c) Kinch -> .pfb
 .pfb  -> hinted & touched up with FontLab v3.0c

License: GPL-2+
 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later
 version.
 .
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the GNU General Public License for more
 details.
 .
 You should have received a copy of the GNU General Public
 License along with this package; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 Boston, MA  02110-1301 USA
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 `/usr/share/common-licenses/GPL-2'.

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by the
 Free Software Foundation; either version 2.1 of the License, or (at your
 option) any later version.
 .
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation,
 Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 .
 On Debian systems, the full text of the GNU Lesser General Public
 License version 2.1 can be found in the file
 `/usr/share/common-licenses/LGPL-2.1'.
